<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy FramedWidget</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_framed_widget.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pub-attribs">Atrybuty publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="class_framed_widget-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy FramedWidget<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p>Klasa bazowa głównych widgetów okna aplikacji.  
 <a href="class_framed_widget.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla FramedWidget</div>
<div class="dyncontent">
<div class="center"><img src="class_framed_widget__inherit__graph.png" border="0" usemap="#a_framed_widget_inherit__map" alt="Inheritance graph"/></div>
<map name="a_framed_widget_inherit__map" id="a_framed_widget_inherit__map">
<area shape="rect" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="194,79,301,104"/>
<area shape="rect" href="class_distance_win.html" title="Widget wyświetlający odczyty czujników odległości." alt="" coords="5,152,100,177"/>
<area shape="poly" title=" " alt="" coords="204,111,85,154,84,149,203,106"/>
<area shape="rect" href="class_map3_d.html" title="Opakowanie okna z obiektami trójwymiarowymi." alt="" coords="124,152,187,177"/>
<area shape="poly" title=" " alt="" coords="224,114,172,154,169,150,220,110"/>
<area shape="rect" href="class_terminal.html" title="Wyświetla różnego typu komunikaty." alt="" coords="211,152,283,177"/>
<area shape="poly" title=" " alt="" coords="250,118,250,152,245,152,245,118"/>
<area shape="rect" href="class_travel_info.html" title="Wyświetla informacje o podróży robota." alt="" coords="307,152,387,177"/>
<area shape="poly" title=" " alt="" coords="276,110,333,150,329,154,273,114"/>
<area shape="rect" href="class_velocity_graph.html" title="Wykres prędkości koła w czasie." alt="" coords="412,152,515,177"/>
<area shape="poly" title=" " alt="" coords="296,106,429,149,428,154,294,111"/>
<area shape="rect" title=" " alt="" coords="213,5,282,31"/>
<area shape="poly" title=" " alt="" coords="250,44,250,79,245,79,245,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla FramedWidget:</div>
<div class="dyncontent">
<div class="center"><img src="class_framed_widget__coll__graph.png" border="0" usemap="#a_framed_widget_coll__map" alt="Collaboration graph"/></div>
<map name="a_framed_widget_coll__map" id="a_framed_widget_coll__map">
<area shape="rect" title="Klasa bazowa głównych widgetów okna aplikacji." alt="" coords="5,79,112,104"/>
<area shape="rect" title=" " alt="" coords="24,5,93,31"/>
<area shape="poly" title=" " alt="" coords="61,44,61,79,56,79,56,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a1c6f4531fc17c8cd36c229a3a4f9175f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a1c6f4531fc17c8cd36c229a3a4f9175f">FramedWidget</a> ()</td></tr>
<tr class="memdesc:a1c6f4531fc17c8cd36c229a3a4f9175f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor domyślny.  <br /></td></tr>
<tr class="separator:a1c6f4531fc17c8cd36c229a3a4f9175f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a257d943892d078be53e1ca628405c98b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a257d943892d078be53e1ca628405c98b">FramedWidget</a> (const char *widget_title, QWidget *parent)</td></tr>
<tr class="memdesc:a257d943892d078be53e1ca628405c98b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inicjalizuje obiekt klasy <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>.  <br /></td></tr>
<tr class="separator:a257d943892d078be53e1ca628405c98b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a707169afc04bdd361d8060903ee94845"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a707169afc04bdd361d8060903ee94845">changeTitle</a> (QString new_title)</td></tr>
<tr class="memdesc:a707169afc04bdd361d8060903ee94845"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zmienia nazwę widgetu / tłumaczy nazwę  <br /></td></tr>
<tr class="separator:a707169afc04bdd361d8060903ee94845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40856bf6e5c17e55a9e35e24f1b9eb9f"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a40856bf6e5c17e55a9e35e24f1b9eb9f">~FramedWidget</a> ()</td></tr>
<tr class="memdesc:a40856bf6e5c17e55a9e35e24f1b9eb9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wirtualny destruktor.  <br /></td></tr>
<tr class="separator:a40856bf6e5c17e55a9e35e24f1b9eb9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Atrybuty publiczne</h2></td></tr>
<tr class="memitem:ace4a4b291bdc10ef5c4599a43baf1ab5"><td class="memItemLeft" align="right" valign="top">QLabel *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a></td></tr>
<tr class="memdesc:ace4a4b291bdc10ef5c4599a43baf1ab5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tytuł widgetu.  <br /></td></tr>
<tr class="separator:ace4a4b291bdc10ef5c4599a43baf1ab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b62f9e21c0b6f3e797070d26027ac45"><td class="memItemLeft" align="right" valign="top">QVBoxLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a></td></tr>
<tr class="memdesc:a5b62f9e21c0b6f3e797070d26027ac45"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zarządca geometrii wertykalnej.  <br /></td></tr>
<tr class="separator:a5b62f9e21c0b6f3e797070d26027ac45"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:aef2985a3761269e6e076651131bc1fb6"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#aef2985a3761269e6e076651131bc1fb6">setVLayout</a> ()=0</td></tr>
<tr class="memdesc:aef2985a3761269e6e076651131bc1fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ustawia przechowywane widgety w pionie.  <br /></td></tr>
<tr class="separator:aef2985a3761269e6e076651131bc1fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_framed_widget.html#abcbce7540975ea1dee22fb0b8bb8109e">setStoredWidget</a> ()=0</td></tr>
<tr class="memdesc:abcbce7540975ea1dee22fb0b8bb8109e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nadaje odpowiednie parametry widgetowi.  <br /></td></tr>
<tr class="separator:abcbce7540975ea1dee22fb0b8bb8109e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Definiuje ona dwie metody wirtualne oraz przechowywuje atrubuty, które są uniwersalne dla każdego widgetu pochodnego. Dziedziczy po klasie QFrame, co nadaje widgetom pochodnym obramowanie (stąd nazwa <a class="el" href="class_framed_widget.html" title="Klasa bazowa głównych widgetów okna aplikacji.">FramedWidget</a>). </p>

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8hpp_source.html#l00025">25</a> pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a1c6f4531fc17c8cd36c229a3a4f9175f" name="a1c6f4531fc17c8cd36c229a3a4f9175f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c6f4531fc17c8cd36c229a3a4f9175f">&#9670;&#160;</a></span>FramedWidget() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">FramedWidget::FramedWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8hpp_source.html#l00057">57</a> pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>

</div>
</div>
<a id="a257d943892d078be53e1ca628405c98b" name="a257d943892d078be53e1ca628405c98b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a257d943892d078be53e1ca628405c98b">&#9670;&#160;</a></span>FramedWidget() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">FramedWidget::FramedWidget </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>widget_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wymusza wywołanie konstruktora klasy QFrame, przekazując wskaźnik na rodzica. Tworzy tytuł widgetu oraz zarządcę wertykalnego. Na koniec edytuje wygląd samej ramki, która jest częścią wspólną każdego widgetu w oknie aplikacji.</p>
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">widget_title</td><td>- tytuł widgetu </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">parent</td><td>- wskaźnik na widget będący rodzicem </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8cpp_source.html#l00019">19</a> pliku <a class="el" href="_framed_widget_8cpp_source.html">FramedWidget.cpp</a>.</p>

</div>
</div>
<a id="a40856bf6e5c17e55a9e35e24f1b9eb9f" name="a40856bf6e5c17e55a9e35e24f1b9eb9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40856bf6e5c17e55a9e35e24f1b9eb9f">&#9670;&#160;</a></span>~FramedWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual FramedWidget::~FramedWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8hpp_source.html#l00069">69</a> pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="aef2985a3761269e6e076651131bc1fb6" name="aef2985a3761269e6e076651131bc1fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef2985a3761269e6e076651131bc1fb6">&#9670;&#160;</a></span>setVLayout()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void FramedWidget::setVLayout </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda czysto wirtualna. Każdy widget pochodny ma co najmniej dwa widgety, które należy ustawić w pionie - tytuł oraz widget główny, np. QTextEditor. </p>

<p>Implementowany w <a class="el" href="class_distance_win.html#a8bf9c3a9ff780ebdb692205762a88e81">DistanceWin</a>, <a class="el" href="class_map3_d.html#aa23ceb64ab792b7873d80b070c20f066">Map3D</a>, <a class="el" href="class_terminal.html#ad54014a5ede6a6da9d3f8c3cc0dd393a">Terminal</a>, <a class="el" href="class_travel_info.html#abb606d890020bd082c842de4963f4ba4">TravelInfo</a> i <a class="el" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">VelocityGraph</a>.</p>

</div>
</div>
<a id="abcbce7540975ea1dee22fb0b8bb8109e" name="abcbce7540975ea1dee22fb0b8bb8109e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcbce7540975ea1dee22fb0b8bb8109e">&#9670;&#160;</a></span>setStoredWidget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void FramedWidget::setStoredWidget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Metoda czysto wirtualna. Każdy widget pochodny ustawia odpwiedni wygląd, geometrię czy zachowanie widgetowi przechowywanemu. </p>

<p>Implementowany w <a class="el" href="class_distance_win.html#ac34b8fecb2ba393250b97f55518705cd">DistanceWin</a>, <a class="el" href="class_map3_d.html#a040d312358c64b62f6e02e8c01872fe3">Map3D</a>, <a class="el" href="class_terminal.html#a679df2b8a9473791a7190f180c06a1ee">Terminal</a>, <a class="el" href="class_travel_info.html#af594443e14524f51ec5d8d83adbac2fe">TravelInfo</a> i <a class="el" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">VelocityGraph</a>.</p>

</div>
</div>
<a id="a707169afc04bdd361d8060903ee94845" name="a707169afc04bdd361d8060903ee94845"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a707169afc04bdd361d8060903ee94845">&#9670;&#160;</a></span>changeTitle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void FramedWidget::changeTitle </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>new_title</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8hpp_source.html#l00065">65</a> pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_framed_widget_a707169afc04bdd361d8060903ee94845_icgraph.png" border="0" usemap="#aclass_framed_widget_a707169afc04bdd361d8060903ee94845_icgraph" alt=""/></div>
<map name="aclass_framed_widget_a707169afc04bdd361d8060903ee94845_icgraph" id="aclass_framed_widget_a707169afc04bdd361d8060903ee94845_icgraph">
<area shape="rect" title="Zmienia nazwę widgetu / tłumaczy nazwę" alt="" coords="441,5,620,31"/>
<area shape="rect" href="class_main_window.html#a092bc60649c2831c9c0bb58e6d1bf1f1" title="Metoda tłumacząca napisy wyświetlane w oknie głównym." alt="" coords="231,5,393,31"/>
<area shape="poly" title=" " alt="" coords="427,21,393,21,393,15,427,15"/>
<area shape="rect" href="class_main_window.html#a416ae2140ac1aa9f03a6279316abdcad" title="Funkcja przechwytująvca zdarzenia." alt="" coords="5,5,183,31"/>
<area shape="poly" title=" " alt="" coords="217,21,183,21,183,15,217,15"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="ace4a4b291bdc10ef5c4599a43baf1ab5" name="ace4a4b291bdc10ef5c4599a43baf1ab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace4a4b291bdc10ef5c4599a43baf1ab5">&#9670;&#160;</a></span>title</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QLabel* FramedWidget::title</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8hpp_source.html#l00049">49</a> pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>

</div>
</div>
<a id="a5b62f9e21c0b6f3e797070d26027ac45" name="a5b62f9e21c0b6f3e797070d26027ac45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b62f9e21c0b6f3e797070d26027ac45">&#9670;&#160;</a></span>vlayout</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QVBoxLayout* FramedWidget::vlayout</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="_framed_widget_8hpp_source.html#l00053">53</a> pliku <a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="_framed_widget_8hpp_source.html">FramedWidget.hpp</a></li>
<li><a class="el" href="_framed_widget_8cpp_source.html">FramedWidget.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_framed_widget.html">FramedWidget</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
